(function(exports) {
    var signAPI = {
		//签约管理列表
		signList: function(data) {
			return httpRequest.get("doctor/sign/sign_info", {data: data})
		},
		//获取签约数据
		signCount:function(data){
			return httpRequest.get("doctor/sign/sign_info_count", {data: data})
		},
		// 是否全部提醒关注
		isRemainFocus: function(data) {
			return httpRequest.post("doctor/sign/is_remind_focus_all", {data: data})
		},
		// 是否全部提醒缴费
		isRemainMoney: function(data) {
			return httpRequest.post("doctor/sign/is_remind_expenses_all", {data: data})
		},
		// 提醒关注
		remainFocus: function(data) {
			return httpRequest.post("doctor/family_contract/wechat_focus_remind", {data: data})
		},
		// 提醒缴费
		remainMoney: function(data) {
			return httpRequest.post("doctor/family_contract/expenses_remind", {data: data})
		},
		// 获取申请签约信息
		signing: function(data) {
			return httpRequest.post("doctor/family_contract/patient_signing", {data: data})
		},
		// 获取续签信息
		signOuttime: function(data) {
			return httpRequest.post("doctor/family_contract/patient_signing_outtime", {data: data})
		},
		// 医生下的团队
		teamLimit: function(data) {
			return httpRequest.get("doctor/admin-teams/team/" + data.doctorId + "/teamsLimit", {data: data})
		},
		// 公共字典
		getDictByDictName: function(data) {
			return httpRequest.get("common/getDictByDictName", {data:data})
		},
		// 居民标签
		patientLabel: function(data) {
			return httpRequest.post("doctor/patient_label_info/patient_label", {data: data})
		},
		// 服务标签
		getSigndict: function(data) {
			return httpRequest.get("doctor/sign/getSigndict")
		},
		// 团队成员
		teamMember: function(data) {
			return httpRequest.get("doctor/admin-teams/" + data.teamId + "/members", {data: data})
		},
		// 签约消息处理
		sign: function(data) {
			return httpRequest.post("doctor/family_contract/sign", {data: data})
		}
	}
    exports.signAPI = signAPI;
})(window)